"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDepsForTarget = void 0;
function getDepsForTarget(id, dependencies) {
    const stack = [id];
    const deps = new Set();
    const visited = new Set();
    while (stack.length > 0) {
        const current = stack.pop();
        if (visited.has(current)) {
            continue;
        }
        visited.add(current);
        if (current !== id) {
            deps.add(current);
        }
        dependencies.forEach(([from, to]) => {
            if (to === current) {
                stack.push(from);
            }
        });
    }
    return [...deps];
}
exports.getDepsForTarget = getDepsForTarget;
//# sourceMappingURL=getDepsForTarget.js.map