"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getWorkspace = void 0;
const workspace_tools_1 = require("workspace-tools");
const findNpmClient_1 = require("./findNpmClient");
function getWorkspace(cwd, config) {
    const root = (0, workspace_tools_1.getWorkspaceRoot)(cwd);
    if (!root) {
        throw new Error("This must be called inside a codebase that is part of a JavaScript workspace.");
    }
    const { npmClient } = config;
    const allPackages = (0, workspace_tools_1.getPackageInfos)(root);
    const npmCmd = (0, findNpmClient_1.findNpmClient)(npmClient);
    return {
        root,
        allPackages,
        npmClient,
        npmCmd,
    };
}
exports.getWorkspace = getWorkspace;
//# sourceMappingURL=getWorkspace.js.map